GET /{indicatorCode}

azureedge.us:who-global-health-observatory

Summary: Get data for a specific indicator
Operation ID: getIndicatorData
Auth: unknown
Description

Returns actual data values for a specific health indicator. This is the main endpoint for retrieving health statistics. Supports filtering by dimensions like country, year, sex, etc.

Parameters (5)

$filter (string, query, optional)

OData filter expression. Examples: Dim1 eq 'SEX_FMLE' (female only), SpatialDim eq 'USA' (specific country), TimeDim ge 2020 (year 2020+), contains(Value,'76')

$orderby (string, query, optional)

OData order by expression. Example: TimeDim desc (newest first)

$skip (integer, query, optional, default: 0)

Number of records to skip (for pagination)

$top (integer, query, optional, default: 100)

Maximum number of data records to return

indicatorCode (string, path, required)

The indicator code (e.g., WHOSIS_000001 for life expectancy at birth, WHOSIS_000002 for healthy life expectancy)

Examples (2)

TitleTypeURLAction
Get data for a specific indicator openapi-spec https://ghoapi.azureedge.net/api/WHOSIS_000001?$filter=SpatialDim eq 'USA' and TimeDim ge 2015&$top=100&$orderby=TimeDim desc&$select=IndicatorCode,Value,TimeDim
Get indicator data openapi-spec https://ghoapi.azureedge.net/api/WHOSIS_000001?$filter=SpatialDim eq 'USA' and TimeDim ge 2020&$orderby=TimeDim desc&$top=100&$skip=0

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-03-23 09:27:51.599675 200 292ms
2026-03-23 09:08:36.376282 200 270ms

Response Changes

WhenOldNew
2026-03-23 09:27:51.599675 b8efc55f5e44 13dd94155f6f